## org.apache.poi.hpbf.model
Class EscherPart

    java.lang.Object
      org.apache.poi.hpbf.model.HPBFPart
          org.apache.poi.hpbf.model.EscherPart

Direct Known Subclasses:
  EscherDelayStm, EscherStm

    public abstract class EscherPart

extends HPBFPart

Parent class of all Escher parts

Field Summary

Fields inherited from class org.apache.poi.hpbf.model.HPBFPart
`data`

Constructor Summary
`EscherPart(DirectoryNode baseDir, java.lang.String[] parts)` Creates the Escher Part, and finds our child escher records

Method Summary
`protected void` `generateData()` Serialises our Escher children back into bytes.
`EscherRecord[]` `getEscherRecords()`

Methods inherited from class org.apache.poi.hpbf.model.HPBFPart
`getData, getPath, writeOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherPart

    public EscherPart(DirectoryNode baseDir,
                      java.lang.String[] parts)
               throws java.io.IOException

  Creates the Escher Part, and finds our child escher records

  Throws:
    `java.io.IOException`

Method Detail

### getEscherRecords

    public EscherRecord[] getEscherRecords()

### generateData

    protected void generateData()

  Serialises our Escher children back into bytes.

  Specified by:
    `generateData` in class `HPBFPart`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.